Get List of Custom Fields

Open in ChatGPT Open in ChatGPT to ask questions about this page
Open in Claude Open in Claude to ask questions about this page
Copy as MarkdownCopy this page as markdown to use with AI assistants
View as Markdown Open this page as markdown in a new tab

This API fetches all custom fields created within a data template.

Endpoints

OAuth Scope

WorkDrive.datatemplates.READCopied!

Request Example

cURL
cURL
Deluge
Copied!
curl --request GET \
  --url https://www.zohoapis.com/workdrive/api/v1/datatemplates/{data_template_id}/customfields \
  --header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52'

Path Parameters

data_template_idstring(Required)

A unique ID of the data template.

Response Example

F000

200
200
500
Copied!
  {
    "data": [
      {
        "id": "nrkroc4c5f3259e2a410da17c3915ea990dde-MjQwMDAwMDA1ODEwMDEtMjQwMDAwMDA1ODIwMDE",
        "type": "customfields",
        "attributes": {
          "data_template_id": "nrkroc4c5f3259e2a410da17c3915ea990dde-24000000581001",
          "column_name": "CF60",
          "index": 0,
          "display_name": "Candidate Name",
          "type": "text",
          "field_properties": {
            "description": "Name of the candidate",
            "is_mandatory": true,
            "default_value": "",
            "max_char_length": "50"
          }
        },
        "links": {
          "self": "https://www.zohoapis.com/workdrive/api/v1/customfields/nrkroc4c5f3259e2a410da17c3915ea990dde-MjQwMDAwMDA1ODEwMDEtMjQwMDAwMDA1ODIwMDE"
        }
      },
      {
        "id": "nrkroc4c5f3259e2a410da17c3915ea990dde-MjQwMDAwMDA1ODEwMDEtMjQwMDAwMDA1ODIwMDI",
        "type": "customfields",
        "attributes": {
          "data_template_id": "nrkroc4c5f3259e2a410da17c3915ea990dde-24000000581001",
          "column_name": "CF61",
          "index": 1,
          "display_name": "Candidate Role",
          "type": "dropdown",
          "field_properties": {
            "description": "Role of the candidate",
            "is_mandatory": false,
            "default_value": ""
          },
          "choices": [
            {
              "key": "Developer"
            },
            {
              "key": "Designer"
            },
            {
              "key": "Marketer"
            }
          ]
        },
        "links": {
          "self": "https://www.zohoapis.com/workdrive/api/v1/customfields/nrkroc4c5f3259e2a410da17c3915ea990dde-MjQwMDAwMDA1ODEwMDEtMjQwMDAwMDA1ODIwMDI"
        }
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F000",
        "title": "General Exception"
      }
    ]
  }
                
Show full